> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get edge store data entries



## OpenAPI

````yaml /api-reference/services_documented/fastedge_api.yaml get /fastedge/v1/kv/{store_id}/data
openapi: 3.1.0
info:
  title: Gcore OpenAPI – FastEdge API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-15T06:37:28.230198+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - description: Application templates
    name: FastEdge Templates
    x-displayName: Templates
  - description: Client-level settings and limits
    name: FastEdge Clients
    x-displayName: Clients
  - description: >-
      Apps are descriptions of edge apps, that reference the binary and may
      contain app-specific settings, such as environment variables.
    name: Apps
    x-displayName: Apps
  - description: >-
      Binaries are WebAssembly executables that are actually executed when app
      is ran.
    name: Binaries
    x-displayName: Binaries
  - description: Statistics of edge app use
    name: Stats
    x-displayName: Stats
  - description: Secret values that can be used in apps
    name: FastEdge Secrets
    x-displayName: Secrets
  - description: Key-value edge storage for apps
    name: Edge Storage
    x-displayName: Edge Storage
paths:
  /fastedge/v1/kv/{store_id}/data:
    get:
      tags:
        - Edge Storage
      summary: Get edge store data entries
      operationId: getStoreData
      parameters:
        - description: Id of the store
          in: path
          name: store_id
          required: true
          schema:
            type: integer
            format: int64
        - description: Data type filter
          in: query
          name: data_type
          required: false
          schema:
            items:
              $ref: '#/components/schemas/kv_datatype'
            type: array
        - description: Key prefix to search for
          in: query
          name: search
          required: false
          schema:
            maxLength: 1024
            minLength: 1
            type: string
        - description: Minimum score for sorted set
          in: query
          name: min_score
          required: false
          schema:
            format: double
            type: number
        - description: Maximum score for sorted set
          in: query
          name: max_score
          required: false
          schema:
            format: double
            type: number
        - description: Limit for pagination
          in: query
          name: limit
          required: false
          schema:
            default: 50
            maximum: 10000
            minimum: 1
            type: integer
        - description: Offset for pagination
          example: 0
          in: query
          name: offset
          required: false
          schema:
            default: 0
            minimum: 0
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  count:
                    description: Total number of entries
                    type: integer
                  entries:
                    items:
                      $ref: '#/components/schemas/store_entry_short'
                    type: array
                required:
                  - count
                  - entries
                type: object
          description: Returns paginated list of key-value entries in the store
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
          description: Bad request
        '404':
          description: Not found
components:
  schemas:
    kv_datatype:
      type: string
      description: Data type of the item
      enum:
        - kv
        - sorted_set
        - bloom_filter
    store_entry_short:
      type: object
      description: Edge store entry
      required:
        - key
        - datatype
      properties:
        key:
          type: string
          description: Key of the item
          minLength: 1
          maxLength: 256
        datatype:
          $ref: '#/components/schemas/kv_datatype'
        payload:
          $ref: '#/components/schemas/store_kv_pair_value'
    error:
      type: object
      required:
        - error
      properties:
        error:
          type: string
          description: Error message
    store_kv_pair_value:
      type: object
      description: KV pair value
      allOf:
        - $ref: '#/components/schemas/encoded_value'
        - type: object
          properties:
            expiry:
              type: string
              description: >-
                Optional expiration timestamp in RFC3339 format. Entry is
                automatically deleted after this time.
              example: '2024-12-31T23:59:59Z'
    encoded_value:
      type: object
      description: Value with encoding
      required:
        - value
      properties:
        value:
          type: string
          description: >-
            Data value, encoded according to the specified encoding method (see
            'encoding' field)
          maxLength: 1048576
          example: John Doe
        encoding:
          type: string
          description: >-
            Value encoding method:  

            plain - unencoded text  

            base64 - base64-encoded binary data  

            sha256 - SHA-256 hash (output only), for fields larger than 1024
            bytes
          enum:
            - plain
            - base64
            - sha256
          default: plain
          x-go-type-skip-optional-pointer: true
          example: plain
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````